package com.bjtdba.entity.userCenter;

import java.io.Serializable;

/**
 * 用户认证(UserCertification)实体类
 *
 * @author makejava
 * @since 2022-10-14 14:46:00
 */
public class UserCertification implements Serializable {
    private static final long serialVersionUID = 330448255732347632L;
    
    private Integer id;
    /**
     * 认证姓名
     */
    private String userName;
    /**
     * 认证手机号
     */
    private String mobile;
    /**
     * 身份证号
     */
    private String userCard;
    /**
     * 身份证正面照
     */
    private String cardPositive;
    /**
     * 身份证反面照
     */
    private String cardReverse;
    /**
     * 状态0未审核1=已通过2已拒绝
     */
    private Integer status;
    /**
     * 拒绝原因
     */
    private String reason;
    /**
     * 审核时间
     */
    private Integer auditTime;
    /**
     * 提交审核时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;
    
    private Integer uid;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getUserCard() {
        return userCard;
    }

    public void setUserCard(String userCard) {
        this.userCard = userCard;
    }

    public String getCardPositive() {
        return cardPositive;
    }

    public void setCardPositive(String cardPositive) {
        this.cardPositive = cardPositive;
    }

    public String getCardReverse() {
        return cardReverse;
    }

    public void setCardReverse(String cardReverse) {
        this.cardReverse = cardReverse;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Integer getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Integer auditTime) {
        this.auditTime = auditTime;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

}

